{% extends 'base.html.twig' %}

{% block title %}Role index{% endblock %}

{% block body %}
    <div class="row justify-content-md-center  mt-5">
        <div class="col-6">
            <h1 class="mb-5">Rollenübersicht</h1>
        </div>
        <div class="col-3">
            <a href="{{ path('app_role_new') }}" class="btn btn-secondary">Neue Rolle anlegen</a>
        </div>
    </div>
    <div class="row justify-content-md-center">
        <div class="col-10">
            <table class="table">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>Name</th>
                    <th>actions</th>
                </tr>
                </thead>
                <tbody>
                {% for role in roles %}
                    <tr>
                        <td>{{ role.id }}</td>
                        <td>{{ role.name }}</td>
                        <td>
                            <a href="{{ path('app_role_show', {'id': role.id}) }}">show</a>
                            <a href="{{ path('app_role_edit', {'id': role.id}) }}">edit</a>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="3">no records found</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
